# Visualization
TKV3d
Voxel

# Voxel_Selector Class Reference

Detects voxels in the viewer 3d under the mouse cursor.
.

`#include <Voxel_Selector.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Voxel_Selector ()
| An empty constructor. .
Standard_EXPORT | Voxel_Selector (const Handle(V3d_View)&view)
| A constructor of the selector, which initializes the classes by a view, where the user selects the voxels. .
Standard_EXPORT void | Init (const Handle(V3d_View)&view)
| Initializes the selector by a view, where the user selects the voxels. .
Standard_EXPORT void | SetVoxels (const Voxel_BoolDS &voxels)
| Defines the voxels (1bit). .
Standard_EXPORT void | SetVoxels (const Voxel_ColorDS &voxels)
| Defines the voxels (4bit). .
Standard_EXPORT Standard_Boolean | Detect (const Standard_Integer winx, const Standard_Integer winy, Standard_Integer &ix, Standard_Integer &iy, Standard_Integer &iz)
| Detects a voxel under the mouse cursor. .

## Private Attributes

Handle_V3d_View | myView
Standard_Address | myVoxels
Standard_Boolean | myIsBool

## Constructor & Destructor Documentation

Standard_EXPORT Voxel_Selector::Voxel_Selector | ( |  | ) |

Standard_EXPORT Voxel_Selector::Voxel_Selector | ( | const Handle(V3d_View)& | view | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Voxel_Selector::Detect | ( | const Standard_Integer | winx,
|  | const Standard_Integer | winy,
|  | Standard_Integer & | ix,
|  | Standard_Integer & | iy,
|  | Standard_Integer & | iz
| ) |

Standard_EXPORT void Voxel_Selector::Init | ( | const Handle(V3d_View)& | view | ) |

void Voxel_Selector::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Voxel_Selector::operator new | ( | size_t | size | ) | `[inline]`

void* Voxel_Selector::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Voxel_Selector::SetVoxels | ( | const Voxel_ColorDS & | voxels | ) |

Standard_EXPORT void Voxel_Selector::SetVoxels | ( | const Voxel_BoolDS & | voxels | ) |

## Field Documentation

Standard_Boolean Voxel_Selector::myIsBool `[private]`

Handle_V3d_View Voxel_Selector::myView `[private]`

Standard_Address Voxel_Selector::myVoxels `[private]`

The documentation for this class was generated from the following file:

- Voxel_Selector.hxx